move the folders to the following directories

move docs/exoticaX_v1711 to Euphoria/docs/exoticaX_v1711
move include/exoticaX to Euphoria/include/exoticaX
move demo/exoticaX_v1711 to Euphoria/demo/exoticaX_v1711
move exotica1_7.dll to Windows/System/exotica1_7.dll